Description

I am seeing a behavior with 1.9.0 that I believe is a bug.

Setup:

Two puppet environments defined. (dev and factory)

Single domain defined.  (domain.com)

Multiple subnets defined all belonging to the domain above.

Create a new host, select one of the puppet environments.  Go to Interfaces and select edit.  Attempt to set the Domain.  There is no

drop down.  Cancel the edit interfaces dialog screen.  Re-Edit and the drop down for the domain will work just fine.  Also if you do not

select a puppet environment initially, you can go to the edit dialog and select a domain.  The issue seems to be related to selecting a

puppet environment and then attempting to edit the interface.  A quick cancel and re-edit resolves the issue.

I have tried this under chrome and IE with the same results

Related issues:

Related to Foreman - Feature #10641: Ability to search VmWare networks Closed 05/28/2015

Associated revisions

Revision 501853b5 - 09/10/2015 08:01 AM - Dominic Cleal

fixes #11473 - remove re-init of domain select2 on env selection

After an environment was selected, the reloadOnAjaxComplete function

re-initialised every select2, but other dropdowns triggered

onContentLoad which excluded those with the without_select class.

Change reloadOnAjaxComplete to be consistent and also explicitly

re-init the subnet dropdown when the domain dropdown causes it to

change.

Also destroy select2 fields before storing the interface in the

"hidden" storage, allowing it to be re-initialised when the modal

is displayed again.

Revision aaf7d7a0 - 09/11/2015 07:38 AM - Dominic Cleal

fixes #11473 - remove re-init of domain select2 on env selection

After an environment was selected, the reloadOnAjaxComplete function

re-initialised every select2, but other dropdowns triggered

onContentLoad which excluded those with the without_select class.

Change reloadOnAjaxComplete to be consistent and also explicitly

re-init the subnet dropdown when the domain dropdown causes it to

change.

Also destroy select2 fields before storing the interface in the

"hidden" storage, allowing it to be re-initialised when the modal

is displayed again.
(cherry picked from commit 501853b511d52f078c1d0933afec955b25356e54)

History

#1 - 08/26/2015 08:00 AM - Dominic Cleal

- Related to Feature #10641: Ability to search VmWare networks added

#2 - 08/26/2015 08:00 AM - Dominic Cleal

- translation missing: en.field_release set to 72

#3 - 09/04/2015 09:56 AM - Marek Hulán

I reproduced the issue, it seems related to select2, web console prints following

Uncaught TypeError: Cannot read property 'hasClass' of null

 when I click on domain select box. It fails after selection of any environment even if domain is already set, you go back to first tab, select an

environment and get back to interfaces form. It seems that only environment selection breaks the select2 js, if you change deploy on or other field that

also redraw the form, domain selection works again.

#4 - 09/07/2015 11:14 AM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#5 - 09/08/2015 03:39 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2682 added

- Pull request deleted ()

#6 - 09/10/2015 09:02 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 501853b511d52f078c1d0933afec955b25356e54.
